/**
 *
 * 微信端能力
 * original code from: https://github.com/wx-minapp/minapp-wx/blob/master/typing/wx.d.ts
 * Licensed under MIT license: https://github.com/qiu8310/minapp/issues/69
 * thanks for the great work by @qiu8310 👍👍👍
 *
 */
/// <reference path="api/framework/index.d.ts" />
/// <reference path="api/base/index.d.ts" />
/// <reference path="api/base/system.d.ts" />
/// <reference path="api/base/update.d.ts" />
/// <reference path="api/base/weapp/life-cycle.d.ts" />
/// <reference path="api/base/weapp/app-event.d.ts" />
/// <reference path="api/base/debug.d.ts" />
/// <reference path="api/base/performance.d.ts" />
/// <reference path="api/base/crypto.d.ts" />
/// <reference path="api/base/env.d.ts" />
/// <reference path="api/route/index.d.ts" />
/// <reference path="api/navigate/index.d.ts" />
/// <reference path="api/share/index.d.ts" />
/// <reference path="api/ui/interaction.d.ts" />
/// <reference path="api/ui/navigation-bar.d.ts" />
/// <reference path="api/ui/background.d.ts" />
/// <reference path="api/ui/tab-bar.d.ts" />
/// <reference path="api/ui/fonts.d.ts" />
/// <reference path="api/ui/pull-down-refresh.d.ts" />
/// <reference path="api/ui/scroll.d.ts" />
/// <reference path="api/ui/animation.d.ts" />
/// <reference path="api/ui/sticky.d.ts" />
/// <reference path="api/ui/custom-component.d.ts" />
/// <reference path="api/ui/menu.d.ts" />
/// <reference path="api/ui/window.d.ts" />
/// <reference path="api/network/request.d.ts" />
/// <reference path="api/network/download.d.ts" />
/// <reference path="api/network/upload.d.ts" />
/// <reference path="api/network/websocket.d.ts" />
/// <reference path="api/network/mdns.d.ts" />
/// <reference path="api/network/tcp.d.ts" />
/// <reference path="api/network/udp.d.ts" />
/// <reference path="api/payment/index.d.ts" />
/// <reference path="api/storage/index.d.ts" />
/// <reference path="api/storage/background-fetch.d.ts" />
/// <reference path="api/storage/cache-manager.d.ts" />
/// <reference path="api/data-analysis/index.d.ts" />
/// <reference path="api/canvas/index.d.ts" />
/// <reference path="api/media/map.d.ts" />
/// <reference path="api/media/image.d.ts" />
/// <reference path="api/media/video.d.ts" />
/// <reference path="api/media/audio.d.ts" />
/// <reference path="api/media/background-audio.d.ts" />
/// <reference path="api/media/live.d.ts" />
/// <reference path="api/media/recorder.d.ts" />
/// <reference path="api/media/camera.d.ts" />
/// <reference path="api/media/editor.d.ts" />
/// <reference path="api/media/video-processing.d.ts" />
/// <reference path="api/media/voip.d.ts" />
/// <reference path="api/media/media-recorder.d.ts" />
/// <reference path="api/media/video-decoder.d.ts" />
/// <reference path="api/location/index.d.ts" />
/// <reference path="api/files/index.d.ts" />
/// <reference path="api/open-api/login.d.ts" />
/// <reference path="api/open-api/account.d.ts" />
/// <reference path="api/open-api/user-info.d.ts" />
/// <reference path="api/open-api/authorize.d.ts" />
/// <reference path="api/open-api/settings.d.ts" />
/// <reference path="api/open-api/address.d.ts" />
/// <reference path="api/open-api/card.d.ts" />
/// <reference path="api/open-api/invoice.d.ts" />
/// <reference path="api/open-api/soter.d.ts" />
/// <reference path="api/open-api/werun.d.ts" />
/// <reference path="api/open-api/subscribe-message.d.ts" />
/// <reference path="api/open-api/redpackage.d.ts" />
/// <reference path="api/open-api/favorites.d.ts" />
/// <reference path="api/open-api/license-plate.d.ts" />
/// <reference path="api/open-api/channels.d.ts" />
/// <reference path="api/open-api/device-voip.d.ts" />
/// <reference path="api/open-api/group.d.ts" />
/// <reference path="api/open-api/customer-service.d.ts" />
/// <reference path="api/device/bluetooth.d.ts" />
/// <reference path="api/device/bluetooth-ble.d.ts" />
/// <reference path="api/device/bluetooth-peripheral.d.ts" />
/// <reference path="api/device/iBeacon.d.ts" />
/// <reference path="api/device/nfc.d.ts" />
/// <reference path="api/device/wifi.d.ts" />
/// <reference path="api/device/calendar.d.ts" />
/// <reference path="api/device/contact.d.ts" />
/// <reference path="api/device/accessibility.d.ts" />
/// <reference path="api/device/battery.d.ts" />
/// <reference path="api/device/clipboard.d.ts" />
/// <reference path="api/device/network.d.ts" />
/// <reference path="api/device/screen.d.ts" />
/// <reference path="api/device/sms.d.ts" />
/// <reference path="api/device/keyboard.d.ts" />
/// <reference path="api/device/phone.d.ts" />
/// <reference path="api/device/accelerometer.d.ts" />
/// <reference path="api/device/compass.d.ts" />
/// <reference path="api/device/motion.d.ts" />
/// <reference path="api/device/gyroscope.d.ts" />
/// <reference path="api/device/memory.d.ts" />
/// <reference path="api/device/scan.d.ts" />
/// <reference path="api/device/vibrate.d.ts" />
/// <reference path="api/ai/visionkit.d.ts" />
/// <reference path="api/ai/face.d.ts" />
/// <reference path="api/ai/inference.d.ts" />
/// <reference path="api/worker/index.d.ts" />
/// <reference path="api/wxml/index.d.ts" />
/// <reference path="api/ext/index.d.ts" />
/// <reference path="api/ad/index.d.ts" />

/// <reference path="api/cloud/index.d.ts" />
/// <reference path="api/open-api/facial.d.ts" />

/// <reference path="api/alipay/index.d.ts" />
/// <reference path="api/qq/index.d.ts" />
/// <reference path="api/swan/index.d.ts" />

/// <reference path="api/taro.extend.d.ts" />
/// <reference path="api/taro.hooks.d.ts" />
